Skip to main content
GET
/
live
/
{market_type}
/
wip
/
report
cURL
curl --no-buffer --request GET \
  --url 'https://api.edgeful.com/live/<market_type>/wip/report?ticker=<ticker>&report_key=<report_key>' \
  --header 'Authorization: Bearer <api-key>'
{
  "detail": {
    "detail": "Live data is not available on your current plan. Please upgrade to the Pro or All Access plan to gain access.",
    "code": "live_data_not_allowed"
  }
}

Authorizations

Authorization
string
header
required

Use your Edgeful API key as the bearer token. In the API Reference authorization drawer, paste only the key (for example, ef_live_<random>).

Path Parameters

market_type
enum<string>
required

type of market to stream data for; stock or futures.

Available options:
futures,
stock
Examples:

"futures"

"stock"

Query Parameters

session
enum<string>
default:NY

standard session to stream; one of NY, LONDON, ASIA.

Available options:
NY,
LONDON,
ASIA
date_range
enum<string>
default:6mo

historical lookback window attached to the report data; 3mo or 6mo.

Available options:
3mo,
6mo
ticker
string
required

ticker symbol to stream (e.g., NQ, ES, SPY).

report_key
string
required

base report key identifying which analysis to stream (e.g., gap_fill_standard, initial_balance_standard).

customization
string
default:""

variant suffix to select a specific customization (e.g., 100 for gap fill percentage, 60min for IB period). empty string selects the default variant.

Response

Successful Response